package p05_switch;

import javax.swing.*;

public class IleDniMaMiesiac2 {
    public static void main(String[] args) {
        String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
        switch (miesiac) {
            case "styczeń", "marzec", "maj", "lipiec", "sierpień", "październik", "grudzień" ->
                JOptionPane.showMessageDialog(null, miesiac + " ma 31 dni");
            case "kwiecień", "czerwiec", "wrzesień", "listopad" ->
                JOptionPane.showMessageDialog(null, miesiac + " ma 30 dni");
            case "luty" -> {
                int rok = Integer.parseInt(JOptionPane.showInputDialog("O który rok chodzi?"));
                if (rok % 4 == 0 && rok % 100 != 0 || rok % 400 == 0) {
                    JOptionPane.showMessageDialog(null, miesiac + " ma 29 dni");
                } else {
                    JOptionPane.showMessageDialog(null, miesiac + " ma 28 dni");
                }
            }
            default ->
                JOptionPane.showMessageDialog(null, "Nie znam takiego miesiąca: " + miesiac, "Błąd", JOptionPane.ERROR_MESSAGE);
        }
    }
}
